Package Details: epix 1.2.18-1

Git Clone URL: https://aur.archlinux.org/epix.git (read-only, click to copy)
Package Base: epix
Description: ePiX - Utilities for creating mathematically accurate figures
Upstream URL: http://mathcs.holycross.edu/~ahwang/epix/ePiX.html
Licenses: GPL
Submitter: aksr
Maintainer: aksr
Last Packager: aksr
Votes: 2
Popularity: 0.000000
First Submitted: 2013-10-02 17:28
Last Updated: 2018-04-04 18:05

Latest Comments

aksr commented on 2020-01-06 05:31

kbk: Try to build it without texlive-* packages—report the findings.

kbk commented on 2019-11-09 15:55

Pix should build properly without texlive-* packages. They are required only on runtime. As many users do not use texlive from repo (insatll using ISO images or so), IMHO, texlive-* should not be a requirement to avoid the building problems.

from epix's INSTALL

DEPENDENCIES

The following software must be installed on your system in order for
you to use ePiX:

  * The GNU shell, bash
  * A C++ compiler and development libraries, preferably g++ (> 3.2)
  * GhostScript, ImageMagick, and teTeX
  * GNU binutils, textutils, and fileutils (ar, sed, grep, ln, rm...)

alfagalileo commented on 2014-01-31 22:00

Hi aksr, i have the following problem in execution

I try

epix hello.xp

And i got

epix: Processing hello.xp:
epix: /usr/bin/g++ epix-11612/hello.exe-tmp.cc -w -o epix-11612/hello.exe -I/usr/include -L/usr/lib/epix -lm -lepix
/usr/bin/ld: no se puede encontrar -lepix
collect2: error: ld devolvió el estado de salida 1
epix: WARNING: Compilation of hello.xp failed

Transcript written on hello_xp.log

alfagalileo commented on 2014-01-31 07:21

Hi i found a problem in the installation, because 1.2.12-1 version is not found. please update

m_schuster commented on 2013-10-03 18:15

Hi,
epix should (needs to) depend on texlive-latexextra, since "comment.sty" is needed for compilation